---
title: Custom Exceptions 
---

### Custom Exceptions

By default PyroCMS load the corresponding view from the Streams Platform matching the error code thrown when debugging is disabled.

For example if the system throws a 500 error and is not in debug mode then the `streams::errors/500` view will be loaded.

You can override these views a few different ways.

#### Publishing Streams Views

You can publish the entire Streams Platform resources by running the following command:

    php artisan streams:publish

You can then customize the `resources/views/errors` views to accommodate your needs.

#### Overriding from your theme

Your theme can override views manually and automatically. To automatically override error views in your theme simply create / copy the error views from Streams Platform to `resources/views/streams/errors`.

#### Defining theme overrides

Lastly you can define view overrides manually within your theme class by defining the `$overrides` property:

    protected $overrides = [
        'streams::errors/500' => 'example.theme.test::custom/errors/500',
    ];

<div class="alert alert primary"><strong>Pro Tip:</strong> You can override any view in the same fashion as above.</div>
